Subject: RE: Questions on CWIN: ANSI 128-256, programs??

From: [email-masked]
Date: Fri, 15 Nov 1991 21:07:58 TZONE

Subject: Questions on CWIN: ANSI 128-256, programs??

>From: Roger Hart <[email-masked]>
>Ping-yi Chu asked me to post this message:
>
> I use Chinese windows.  Are there any programs written for cwins?

I have not seen other products announced yet.

> I use word for windows with cwin but the second part of the ANSI characters
> does not show up. (characters 128-255).  Does anyone know how to solve this
> problem?
>
>Please reply either to CCNET or to
>Ping-yi Chu at [email-masked]

Here is the answer from an expert, not me:

|You CAN display high byte characters from
|an English font by removing "(81,fe)" from the following
|statement in WIFEMAN.INI.
|
|    [CodeRanges]
|    ANSI=00(81,fe)
|
|But you CAN'T enter such characters through the keyboard.
|Because one of the screwing aspects of CWin 3.0 is that
|input and output take their leadbyte range table from
|different sources.

So for your problem
  1. remove or comment out (;) the said line above from WIFEMAN.INI
before you run windows.
  2. run windows and run winword (or any other windows applications),
and open your files that contains ANSI characters 128-155. To display
them as ANSI characters, choose an English font that can display them.
(If you chose Chinese fonts for those characters, they probably will be
displayed as Chinese characters or white squares that means there no
Chinese characters are not available for them.)

-xiangjun